Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.dom
Class DocumentTypeImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.DocumentTypeImpl

Direct Known Subclasses:
  DeferredDocumentTypeImpl

public class DocumentTypeImpl
extends ChildAndParentNode
implements org.w3c.dom.DocumentType

This class represents a Document Type declaraction in the document itself, not a Document Type Definition (DTD). An XML document may (or may not) have such a reference.

DocumentType is an Extended DOM feature, used in XML documents but not in HTML.

Note that Entities and Notations are no longer children of the DocumentType, but are parentless nodes hung only in their appropriate NamedNodeMaps.

This area is UNDERSPECIFIED IN REC-DOM-Level-1-19981001 Most notably, absolutely no provision was made for storing and using Element and Attribute information. Nor was the linkage between Entities and Entity References nailed down solidly.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
Version:
Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected NamedNodeMapImpl` | `elements` Elements.
`protected NamedNodeMapImpl` | `entities` Entities.
`protected java.lang.String` | `internalSubset`
`protected java.lang.String` | `name` Document type name.
`protected NamedNodeMapImpl` | `notations` Notations.
`protected java.lang.String` | `publicID`
`protected java.lang.String` | `systemID`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`DocumentTypeImpl(DocumentImpl ownerDocument, java.lang.String name)` Factory method for creating a document type node.
`DocumentTypeImpl(DocumentImpl ownerDocument, java.lang.String qualifiedName, java.lang.String publicID, java.lang.String systemID)` Factory method for creating a document type node.

Method Summary
`org.w3c.dom.Node` | `cloneNode(boolean deep)` Clones the node.
`org.w3c.dom.NamedNodeMap` | `getElements()` NON-DOM: Access the collection of ElementDefinitions.
`org.w3c.dom.NamedNodeMap` | `getEntities()` Access the collection of general Entities, both external and internal, defined in the DTD.
`java.lang.String` | `getInternalSubset()` Introduced in DOM Level 2.
`java.lang.String` | `getName()` Name of this document type.
`java.lang.String` | `getNodeName()` Returns the document type name
`short` | `getNodeType()` A short integer indicating what type of node this is.
`org.w3c.dom.NamedNodeMap` | `getNotations()` Access the collection of Notations defined in the DTD.
`java.lang.String` | `getPublicId()` Introduced in DOM Level 2.
`java.lang.String` | `getSystemId()` Introduced in DOM Level 2.
`void` | `setInternalSubset(java.lang.String internalSubset)` NON-DOM.
`void` | `setReadOnly(boolean readOnly, boolean deep)` NON-DOM: Subclassed to flip the entities' and notations' readonly switch as well.

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, normalize, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getAttributes, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, hasAttributes, removeEventListener, setNodeValue, setPrefix, setUserData, supports, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  Document type name.

### entities

    protected NamedNodeMapImpl entities

  Entities.

### notations

    protected NamedNodeMapImpl notations

  Notations.

### elements

    protected NamedNodeMapImpl elements

  Elements.

### publicID

    protected java.lang.String publicID

### systemID

    protected java.lang.String systemID

### internalSubset

    protected java.lang.String internalSubset

Constructor Detail

### DocumentTypeImpl

    public DocumentTypeImpl(DocumentImpl ownerDocument,
                            java.lang.String name)

  Factory method for creating a document type node.

### DocumentTypeImpl

    public DocumentTypeImpl(DocumentImpl ownerDocument,
                            java.lang.String qualifiedName,
                            java.lang.String publicID,
                            java.lang.String systemID)

  Factory method for creating a document type node.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Introduced in DOM Level 2.

  Return the public identifier of this Document type.

  Specified by:
    getPublicId in interface org.w3c.dom.DocumentType

  Since:
    WD-DOM-Level-2-19990923

### getSystemId

    public java.lang.String getSystemId()

  Introduced in DOM Level 2.

  Return the system identifier of this Document type.

  Specified by:
    getSystemId in interface org.w3c.dom.DocumentType

  Since:
    WD-DOM-Level-2-19990923

### setInternalSubset

    public void setInternalSubset(java.lang.String internalSubset)

  NON-DOM.

  Set the internalSubset given as a string.

### getInternalSubset

    public java.lang.String getInternalSubset()

  Introduced in DOM Level 2.

  Return the internalSubset given as a string.

  Specified by:
    getInternalSubset in interface org.w3c.dom.DocumentType

  Since:
    WD-DOM-Level-2-19990923

### getNodeType

    public short getNodeType()

  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Overrides:
    getNodeType in class NodeImpl

### getNodeName

    public java.lang.String getNodeName()

  Returns the document type name

  Overrides:
    getNodeName in class NodeImpl

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Clones the node.

  Overrides:
    cloneNode in class ChildAndParentNode

### getName

    public java.lang.String getName()

  Name of this document type. If we loaded from a DTD, this should be the name immediately following the DOCTYPE keyword.
  Specified by:
    getName in interface org.w3c.dom.DocumentType

### getEntities

    public org.w3c.dom.NamedNodeMap getEntities()

  Access the collection of general Entities, both external and internal, defined in the DTD. For example, in:

         <!doctype example SYSTEM "ex.dtd" [
           <!ENTITY foo "foo">
           <!ENTITY bar "bar">
           <!ENTITY % baz "baz">
           ]>

  The Entities map includes foo and bar, but not baz. It is promised that only Nodes which are Entities will exist in this NamedNodeMap.

  For HTML, this will always be null.

  Note that "built in" entities such as & and < should be converted to their actual characters before being placed in the DOM's contained text, and should be converted back when the DOM is rendered as XML or HTML, and hence DO NOT appear here.

  Specified by:
    getEntities in interface org.w3c.dom.DocumentType

### getNotations

    public org.w3c.dom.NamedNodeMap getNotations()

  Access the collection of Notations defined in the DTD. A notation declares, by name, the format of an XML unparsed entity or is used to formally declare a Processing Instruction target.
  Specified by:
    getNotations in interface org.w3c.dom.DocumentType

### setReadOnly

    public void setReadOnly(boolean readOnly,
                            boolean deep)

  NON-DOM: Subclassed to flip the entities' and notations' readonly switch as well.

  Overrides:
    setReadOnly in class ChildAndParentNode
  See Also:
    `NodeImpl.setReadOnly(boolean, boolean)`

### getElements

    public org.w3c.dom.NamedNodeMap getElements()

  NON-DOM: Access the collection of ElementDefinitions.

  See Also:
    `ElementDefinitionImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD